Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
02000 Cheat System Critical (emulator) Always Jul 11, 2008, 13:51 Jul 17, 2008, 23:59
Tester Tafoid View Status Public Platform
Assigned To Resolution Won't fix OS
Status [?] Closed Driver
Version 0.126 Fixed in Version Build
Summary 02000: Many Sets: -CHEAT still crashes before emulation starts
Description Using -CHEAT + Default (latest) Cheat.DAT causes crash in many sets before emulation can start.
Steps To Reproduce
Additional Information Examples of sets that crash are:
hsf2
sfa3
midnrun
windheat
Flags
Regression Version 0.126
Affected Sets / Systems Many Sets
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
4
User avatar
No.01583
ShimaPong
Tester
Jul 12, 2008, 15:05
I can't confirm this bug in 126. Tested hsf2, sfa3 and windheat.
These games are started without any crash with latest cheat database.
So please more information...
User avatar
No.01585
Fujix
Administrator
Jul 12, 2008, 16:20
edited on: Jul 12, 2008, 16:24
I don't have the problem in sfa3, though I have in windheat.
D:\mame>mame windheat

-----------------------------------------------------

D:\mame>
Seems reproducibility depends on PC or OS or something?

BTW, the current cheat engine will be taken out shortly, so is a bug for the old engine still valid?
User avatar
No.01596
aaron
Developer
Jul 13, 2008, 07:57
No, let's stop accepting cheat bugs until we start applying the new engine.
User avatar
No.01679
Fujix
Administrator
Jul 17, 2008, 23:59
Redesign of the cheat system is in progress.
Bugs for the old system are invalid now.